Skip to content
Start here

Download Worker

client.workers.scripts.get(stringscriptName, ScriptGetParams { account_id } params, RequestOptionsoptions?): ScriptGetResponse
GET/accounts/{account_id}/workers/scripts/{script_name}

Fetch raw script content for your worker. Note this is the original script content, not JSON encoded.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Tail ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
scriptName: string

Name of the script, used in URLs and route configuration.

params: ScriptGetParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
ScriptGetResponse = string

Download Worker

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const script = await client.workers.scripts.get('this-is_my_script-01', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(script);
Returns Examples